Index: tmp/org.txm.properties.core/src/org/txm/properties/core/functions/CorpusPropertiesComputer.java
===================================================================
--- tmp/org.txm.properties.core/src/org/txm/properties/core/functions/CorpusPropertiesComputer.java	(revision 2793)
+++ tmp/org.txm.properties.core/src/org/txm/properties/core/functions/CorpusPropertiesComputer.java	(revision 2794)
@@ -29,71 +29,71 @@
 import org.txm.utils.logger.Log;
 
 public class CorpusPropertiesComputer extends PropertiesComputer<CQPCorpus> {
-	
+
 	public CorpusPropertiesComputer(Properties props, CQPCorpus result) {
 		super(props, result);
 	}
-	
+
 	@Override
 	public List<String> getComputableInformations() {
 		return Arrays.asList("all");
 	}
-	
+
 	@Override
 	public LinkedHashMap<String, String> getInformation(String name) {
 		LinkedHashMap<String, String> data = new LinkedHashMap<>();
 		data.put("all", dump(props.pMaxPropertiesToDisplay));
 		return data;
 	}
-	
+
 	@Override
 	public String getInformationHTML(String info) {
 		return htmlDump();
 	}
-	
+
 	// Numbers
 	/** The T. */
 	int numberOfWords = 0; // number of word
-	
+
 	/** The N properties. */
 	int NProperties = 0; // number of word properties
 	// HashMap<String, Integer> propertiesCounts = new HashMap<String, Integer>();
 	// // properties counts
-	
+
 	/** The properties values. */
 	HashMap<String, List<String>> propertiesValues = new HashMap<>(); // properties values
-	
+
 	/** The N structures. */
 	int NStructures = 0; // number of structures
-	
+
 	/** The structures counts. */
 	HashMap<String, Integer> structuresCounts = new HashMap<>(); // structures counts
-	
+
 	/** The internal architecture. */
 	List<String> internalArchitecture = new ArrayList<>(); // cqp structures = propertiesCounts keys but ordered
-	
+
 	/** The hierarchie counts. */
 	HashMap<String, Integer> hierarchieCounts = new HashMap<>(); // hierarchic structures counts
-	
+
 	/** The internal architecture properties. */
 	HashMap<String, HashMap<String, List<String>>> internalArchitectureProperties = new HashMap<>(); // hierarchic structures counts
-	
+
 	/** The internal architecture properties counts. */
 	HashMap<String, HashMap<String, Integer>> internalArchitecturePropertiesCounts = new HashMap<>(); // hierarchic structures counts
-	
+
 	// Annotations description
 	/** The annotations types. */
 	HashMap<String, Integer> annotationsTypes = new HashMap<>(); // for each annotation its description
-	
+
 	/** The annotations origins. */
 	HashMap<String, Integer> annotationsOrigins = new HashMap<>(); // for each annoation its origin description
-	
+
 	/** The properties. */
 	List<WordProperty> properties;
-	
+
 	/** The structures. */
 	List<StructuralUnit> structures;
-	
+
 	@Override
 	public String getName() {
 		String filename = result.getMainCorpus() + "-" + result.getName(); //$NON-NLS-1$
@@ -102,7 +102,7 @@
 		}
 		return filename;
 	}
-	
+
 	/**
 	 * Step general infos.
 	 */
@@ -123,7 +123,7 @@
 			Log.printStackTrace(e);
 			return;
 		}
-		
+
 		try {
 			numberOfWords = result.getSize();// corpus.getLexicon(corpus.getProperty("id")).nbrOfToken();
 		}
@@ -133,15 +133,15 @@
 			return;
 		}
 	}
-	
+
 	/**
 	 * step2. randomly position are choose
 	 */
 	public void stepLexicalProperties() {
 		propertiesValues.clear();
-		
+
 		AbstractCqiClient cqiClient = CorpusManager.getCorpusManager().getCqiClient();
-		
+
 		int s = Math.min(props.pMaxPropertiesToDisplay, numberOfWords);
 		int[] positions = new int[s];
 		int n = 0;
@@ -153,7 +153,7 @@
 				positions[n++] = i;
 			}
 		}
-		
+
 		for (Property p : properties) {
 			// int size;
 			try {
@@ -165,14 +165,14 @@
 			}
 		}
 	}
-	
+
 	/**
 	 * Step structural units.
 	 */
 	public void stepStructuralUnits() {
 		try {
 			structures = result.getOrderedStructuralUnits();
-			
+
 			List<StructuralUnit> sstructures = new ArrayList<>(structures);
 			for (StructuralUnit su : structures) {
 				if (su.getName().equals("txmcorpus")) {
@@ -193,25 +193,23 @@
 			hierarchieCounts.put(su.getName(), -1);
 			internalArchitectureProperties.put(su.getName(), new HashMap<String, List<String>>());
 			internalArchitecturePropertiesCounts.put(su.getName(), new HashMap<String, Integer>());
-			
-			if (su.getProperties().size() > 0) {
-				for (StructuralUnitProperty sup : su.getProperties()) {// for each of its property
-					try {
-						List<String> allvalues = sup.getValues(result);
-						internalArchitectureProperties.get(su.getName()).put(sup.getName(), allvalues.subList(0, Math.min(allvalues.size(), props.pMaxPropertiesToDisplay)));
-						internalArchitecturePropertiesCounts.get(su.getName()).put(sup.getName(), allvalues.size());
-					}
-					catch (Exception e) {
-						ArrayList<String> list = new ArrayList<>(1);
-						list.add(PropertiesCoreMessages.error);
-						internalArchitectureProperties.get(su.getName()).put(sup.getName(), list);
-						internalArchitecturePropertiesCounts.get(su.getName()).put(sup.getName(), -1);
-					}
+
+			for (StructuralUnitProperty sup : su.getOrderedProperties()) {// for each of its property
+				try {
+					List<String> allvalues = sup.getValues(result);
+					internalArchitectureProperties.get(su.getName()).put(sup.getName(), allvalues.subList(0, Math.min(allvalues.size(), props.pMaxPropertiesToDisplay)));
+					internalArchitecturePropertiesCounts.get(su.getName()).put(sup.getName(), allvalues.size());
 				}
+				catch (Exception e) {
+					ArrayList<String> list = new ArrayList<>(1);
+					list.add(PropertiesCoreMessages.error);
+					internalArchitectureProperties.get(su.getName()).put(sup.getName(), list);
+					internalArchitecturePropertiesCounts.get(su.getName()).put(sup.getName(), -1);
+				}
 			}
 		}
 	}
-	
+
 	/**
 	 * dump the results of the diagnostic in a String containing HTML code.
 	 *
@@ -219,7 +217,7 @@
 	 */
 	public String htmlDump() {
 		StringBuffer buff = new StringBuffer();
-		
+
 		buff.append("<? version=\"1.0\" encoding=\"UTF-8\"?>\n" + //$NON-NLS-1$
 				"<html>" + //$NON-NLS-1$
 				"<head>" + //$NON-NLS-1$
@@ -227,7 +225,7 @@
 				"</head>" + //$NON-NLS-1$
 				"<body>\n"); //$NON-NLS-1$
 		buff.append("<h2 style'font-family:\"Arial\";'>" + PropertiesCoreMessages.descriptionOf + this.result.getName() + " (CQP ID=" + this.result.getID() + ")</h2>\n"); //$NON-NLS-2$ //$NON-NLS-1$
-		
+
 		Project projet = this.result.getProject();
 		// if (projet.getCreationDate() != null) {
 		// buff.append(NLS.bind(PropertiesCoreMessages.createdTheP0, TXMResult.PRETTY_LOCALIZED_TIME_FORMAT.format(projet.getCreationDate())));
@@ -239,17 +237,17 @@
 		if (projet.getDescription() != null && projet.getDescription().length() > 0) {
 			buff.append("<p><h3>Description</h3>" + projet.getDescription() + "</p>"); //$NON-NLS-1$ //$NON-NLS-2$
 		}
-		
+
 		buff.append("<h3 style'font-family:\"Arial\";'>" + PropertiesCoreMessages.generalStatistics_2 + "</h3>\n"); //$NON-NLS-1$ //$NON-NLS-2$
-		
+
 		// counts
 		buff.append("<ul>\n"); //$NON-NLS-1$
 		buff.append("<li>" + NLS.bind(PropertiesCoreMessages.numberOfWordsP0, NumberFormat.getInstance().format(numberOfWords)) + "</li>\n"); //$NON-NLS-1$ //$NON-NLS-2$
-		
+
 		buff.append("<li>" + PropertiesCoreMessages.numberOfWordProperties + (properties.size()) + " (" + StringUtils.join(properties, ", ") + ")</li>\n"); //$NON-NLS-2$ //$NON-NLS-1$
 		buff.append("<li>" + PropertiesCoreMessages.numberOfStructuralUnits + (structures.size()) + " (" + StringUtils.join(structures, ", ") + ")</li>\n"); //$NON-NLS-2$ //$NON-NLS-1$
 		buff.append("</ul>\n"); //$NON-NLS-1$
-		
+
 		// Propriétés d'occurrences
 		buff.append("<h3 style'font-family:\"Arial\";'>" + NLS.bind(PropertiesCoreMessages.lexicalUnitsPropertiesMaxP0Values, props.pMaxPropertiesToDisplay) + "</h3>\n"); //$NON-NLS-1$ //$NON-NLS-2$
 		ArrayList<String> properties = new ArrayList<>(propertiesValues.keySet());
@@ -269,7 +267,7 @@
 			}
 		}
 		buff.append("</ul>\n"); //$NON-NLS-1$
-		
+
 		// Propriété de structures
 		buff.append("<h3 style'font-family:\"Arial\";'>" + NLS.bind(PropertiesCoreMessages.structuralUnitsPropertiesMaxP0Values, props.pMaxPropertiesToDisplay) + "</h3>\n"); //$NON-NLS-1$ //$NON-NLS-2$
 		buff.append("<ul>\n"); //$NON-NLS-1$
@@ -277,13 +275,13 @@
 			StringBuffer subbuffer = new StringBuffer();
 			if (s.equals("txmcorpus")) //$NON-NLS-1$
 				continue;// ignore the txmcorpus structure
-			
+
 			properties = new ArrayList<>(internalArchitectureProperties.get(s).keySet());
-			
+
 			subbuffer.append("<li> " + s + "\n<ul>\n"); //$NON-NLS-1$ //$NON-NLS-2$
 			if (internalArchitectureProperties.get(s).keySet().size() == 0)
 				subbuffer.append("<li>" + PropertiesCoreMessages.noProperty + "</li>\n"); //$NON-NLS-1$ //$NON-NLS-2$
-			
+
 			// System.out.println("struct: "+s+" >> "+properties);
 			Collections.sort(properties);
 			// System.out.println("struct: "+s+" >sort> "+properties);
@@ -304,12 +302,12 @@
 							subbuffer.append(psv.replace("<", "&lt;")); //$NON-NLS-1$ //$NON-NLS-2$
 						else
 							subbuffer.append("\"\""); //$NON-NLS-1$
-						
+
 						if (i == values.size() - 1)
 							subbuffer.append("."); //$NON-NLS-1$
 						else
 							subbuffer.append(", "); //$NON-NLS-1$
-						
+
 						if (i >= props.pMaxPropertiesToDisplay) {
 							subbuffer.append("..."); //$NON-NLS-1$
 							break;
@@ -318,11 +316,11 @@
 					subbuffer.append("</li>\n"); //$NON-NLS-1$
 				}
 			}
-			
+
 			if (properties.size() == 0) {
 				subbuffer.append("<p>--</p>\n"); //$NON-NLS-1$
 			}
-			
+
 			subbuffer.append("</ul>\n</li>\n"); //$NON-NLS-1$
 			if (nbOfValues > 0) {
 				buff.append(subbuffer);
@@ -331,10 +329,10 @@
 		buff.append("</ul>\n"); //$NON-NLS-1$
 		buff.append("</body>\n"); //$NON-NLS-1$
 		buff.append("</html>\n"); //$NON-NLS-1$
-		
+
 		return buff.toString();
 	}
-	
+
 	/**
 	 * dump the result in the console.
 	 *
@@ -344,7 +342,7 @@
 	 */
 	public String dump(int maxvalue) {
 		StringBuffer buff = new StringBuffer();
-		
+
 		buff.append(PropertiesCoreMessages.generalStatistics);
 		buff.append(PropertiesCoreMessages.t + String.format(Locale.FRANCE, "%,d", numberOfWords) + "\n"); //$NON-NLS-1$
 		buff.append(PropertiesCoreMessages.wordProperties + String.format("%,d", NProperties) + "\n"); //$NON-NLS-1$
@@ -356,7 +354,7 @@
 		buff.append(PropertiesCoreMessages.s + String.format("%,d", NStructures) + "\n"); //$NON-NLS-1$
 		for (String s : structuresCounts.keySet())
 			buff.append(" - " + s + "\n");// +structuresCounts.get(s)+"\n"); //$NON-NLS-1$ //$NON-NLS-2$
-			
+
 		/*
 		 * buff.append("* Structural Units counts\n"); for(String s :
 		 * internalArchitecture) buff.append(" - "+s+" "+hierarchieCounts.get(s)+"\n");
@@ -368,7 +366,7 @@
 				if (!(s.equals("text") && (ps.equals("project") || ps.equals("base") || ps.equals("id")))) //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$
 				{
 					buff.append("   - " + ps + "(" + internalArchitectureProperties.get(s).get(ps).size() + ") = "); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
-					
+
 					int valuecount = 0;
 					for (String psv : internalArchitectureProperties.get(s).get(ps)) {
 						buff.append(psv);
@@ -379,16 +377,16 @@
 						if (valuecount < internalArchitectureProperties.get(s).get(ps).size())
 							buff.append(", "); //$NON-NLS-1$
 					}
-					
+
 					buff.append("\n"); //$NON-NLS-1$
 				}
 			}
 		}
-		
+
 		return buff.toString();
 	}
-	
-	
+
+
 	/**
 	 * Gets the t.
 	 *
@@ -397,7 +395,7 @@
 	public int getT() {
 		return numberOfWords;
 	}
-	
+
 	/**
 	 * Gets the n properties.
 	 *
@@ -406,7 +404,7 @@
 	public int getNProperties() {
 		return NProperties;
 	}
-	
+
 	/**
 	 * Gets the internal architecture.
 	 *
@@ -415,7 +413,7 @@
 	public List<String> getInternalArchitecture() {
 		return internalArchitecture;
 	}
-	
+
 	/**
 	 * Gets the n structures.
 	 *
@@ -424,7 +422,7 @@
 	public int getNStructures() {
 		return NStructures;
 	}
-	
+
 	/**
 	 * Gets the structures counts.
 	 *
@@ -433,7 +431,7 @@
 	public HashMap<String, Integer> getStructuresCounts() {
 		return structuresCounts;
 	}
-	
+
 	/**
 	 * Gets the annotations types.
 	 *
@@ -442,7 +440,7 @@
 	public HashMap<String, Integer> getAnnotationsTypes() {
 		return annotationsTypes;
 	}
-	
+
 	/**
 	 * Gets the annotations origins.
 	 *
@@ -451,24 +449,24 @@
 	public HashMap<String, Integer> getAnnotationsOrigins() {
 		return annotationsOrigins;
 	}
-	
+
 	@Override
 	public boolean _compute(TXMProgressMonitor monitor) throws Exception {
-		
+
 		monitor.setTask(props.getComputingStartMessage());
-		
+
 		this.stepGeneralInfos();
 		monitor.worked(34);
-		
+
 		this.stepLexicalProperties();
 		monitor.worked(33);
-		
+
 		this.stepStructuralUnits();
 		monitor.worked(33);
-		
+
 		return true;
 	}
-	
+
 	public String getDetails() {
 		if (numberOfWords >= 0) {
 			return NLS.bind(PropertiesCoreMessages.numberOfWordsP0, numberOfWords);
Index: tmp/org.txm.internalview.rcp/src/org/txm/internalview/rcp/editors/InternalViewEditor.java
===================================================================
--- tmp/org.txm.internalview.rcp/src/org/txm/internalview/rcp/editors/InternalViewEditor.java	(revision 2793)
+++ tmp/org.txm.internalview.rcp/src/org/txm/internalview/rcp/editors/InternalViewEditor.java	(revision 2794)
@@ -327,7 +327,7 @@
 		int[] n;
 		try {
 			StructuralUnitProperty sup = null;
-			for (StructuralUnitProperty s : internalView.getStructuralUnit().getProperties()) {
+			for (StructuralUnitProperty s : internalView.getStructuralUnit().getOrderedProperties()) {
 				sup = s;
 				break;
 			}
Index: tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/actions/DefineSortReferencePattern.java
===================================================================
--- tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/actions/DefineSortReferencePattern.java	(revision 2793)
+++ tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/actions/DefineSortReferencePattern.java	(revision 2794)
@@ -61,13 +61,13 @@
 
 	/** The Constant ID. */
 	private static final String ID = "org.txm.rcp.editors.concordances.definereferencepattern"; //$NON-NLS-1$
-	
+
 	/** The window. */
 	private IWorkbenchWindow window;
-	
+
 	/** The concordance editor. */
 	private ConcordanceEditor concordanceEditor;
-	
+
 	/**
 	 * Instantiates a new define reference pattern.
 	 *
@@ -98,34 +98,29 @@
 		List<StructuralUnit> structuralUnits = null;
 		List<Property> availableReferenceItems = new ArrayList<Property>();
 		try {
-				structuralUnits = concordanceEditor.getCorpus()
-						.getOrderedStructuralUnits();
-				availableReferenceItems.addAll(concordanceEditor.getCorpus()
-						.getOrderedProperties());
-
-
+			structuralUnits = concordanceEditor.getCorpus().getOrderedStructuralUnits();
+			availableReferenceItems.addAll(concordanceEditor.getCorpus().getOrderedProperties());
 		} catch (Exception e) {
 			org.txm.utils.logger.Log.printStackTrace(e);
 		}
 
 		for (StructuralUnit unit : structuralUnits) {
-			availableReferenceItems.addAll(unit.getProperties());
+			availableReferenceItems.addAll(unit.getOrderedProperties());
 		}
 
 		// System.out.println("selected "+concordanceEditor.getSelectedReferences());
 		// System.out.println("before avail"+availableReferenceItems);
-			availableReferenceItems.remove(concordanceEditor
-					.getSelectedSortReferences());
+		availableReferenceItems.remove(concordanceEditor.getSelectedSortReferences());
 
-			// System.out.println("after avail"+availableReferenceItems);
+		// System.out.println("after avail"+availableReferenceItems);
 		DefineReferencePatternDialog d = null;
-			d = new DefineReferencePatternDialog(window.getShell(),
-					availableReferenceItems, concordanceEditor
-							.getSelectedSortReferences());
+		d = new DefineReferencePatternDialog(window.getShell(),
+				availableReferenceItems, concordanceEditor
+				.getSelectedSortReferences());
 
 		if (d.open() == Window.OK) {
-				concordanceEditor.setRefSortPattern(new ReferencePattern(d
-						.getSelectesdReferenceItems()));
+			concordanceEditor.setRefSortPattern(new ReferencePattern(d
+					.getSelectesdReferenceItems()));
 			//System.out.println(concordanceEditor.getSortReferencePattern());
 		}
 	}
@@ -137,7 +132,7 @@
 
 		/** The available reference items. */
 		private List<Property> availableReferenceItems;
-		
+
 		/** The selected reference items. */
 		private List<Property> selectedReferenceItems;
 
@@ -152,7 +147,7 @@
 				List<Property> availableReferenceItems,
 				List<Property> selectedReferences) {
 			super(parentShell);
-			
+
 			this.availableReferenceItems = availableReferenceItems;
 			this.selectedReferenceItems = selectedReferences;
 			this.availableReferenceItems.removeAll(selectedReferences);
@@ -173,13 +168,13 @@
 		 */
 		@Override
 		protected void configureShell(Shell shell) {
-		      super.configureShell(shell);
-		      shell.setText(TXMUIMessages.referencesSortOptions);
-		      
-		      shell.setSize(400, 500);
-		      shell.setLocation(shell.getParent().getLocation());
-		   }
-		
+			super.configureShell(shell);
+			shell.setText(TXMUIMessages.referencesSortOptions);
+
+			shell.setSize(400, 500);
+			shell.setLocation(shell.getParent().getLocation());
+		}
+
 		/* (non-Javadoc)
 		 * @see org.eclipse.jface.dialogs.Dialog#createDialogArea(org.eclipse.swt.widgets.Composite)
 		 */
@@ -202,7 +197,7 @@
 					availbleItems.add(property.getName());
 				}
 			}
-						
+
 			GridData gridData = new GridData(GridData.FILL, GridData.FILL,
 					true, true);
 			//Point size = availbleItems.computeSize(SWT.DEFAULT, SWT.DEFAULT);
@@ -226,22 +221,22 @@
 					selectedItems.add(property.getName());
 				}
 			}
-			
+
 			//DBL CLICK Listeners
 			selectedItems.addMouseListener(new MouseListener() {
 				@Override
 				public void mouseUp(MouseEvent e) { }
-				
+
 				@Override
 				public void mouseDown(MouseEvent e) { }
-				
+
 				@Override
 				public void mouseDoubleClick(MouseEvent e) {
 					int ind = selectedItems.getSelectionIndex();
 					availbleItems.add(selectedItems.getItem(ind));
 					selectedItems.remove(ind);
 					availableReferenceItems
-							.add(selectedReferenceItems.get(ind));
+					.add(selectedReferenceItems.get(ind));
 					selectedReferenceItems.remove(ind);
 					selectedItems.setSelection(ind);	
 				}
@@ -249,17 +244,17 @@
 			availbleItems.addMouseListener(new MouseListener() {
 				@Override
 				public void mouseUp(MouseEvent e) { }
-				
+
 				@Override
 				public void mouseDown(MouseEvent e) { }
-				
+
 				@Override
 				public void mouseDoubleClick(MouseEvent e) {
 					int ind = availbleItems.getSelectionIndex();
 					selectedItems.add(availbleItems.getItem(ind));
 					availbleItems.remove(ind);
 					selectedReferenceItems
-							.add(availableReferenceItems.get(ind));
+					.add(availableReferenceItems.get(ind));
 					availableReferenceItems.remove(ind);
 					availbleItems.setSelection(ind);
 				}
@@ -277,7 +272,7 @@
 					selectedItems.add(availbleItems.getItem(ind));
 					availbleItems.remove(ind);
 					selectedReferenceItems
-							.add(availableReferenceItems.get(ind));
+					.add(availableReferenceItems.get(ind));
 					availableReferenceItems.remove(ind);
 					availbleItems.setSelection(ind);
 				}
@@ -290,7 +285,7 @@
 					availbleItems.add(selectedItems.getItem(ind));
 					selectedItems.remove(ind);
 					availableReferenceItems
-							.add(selectedReferenceItems.get(ind));
+					.add(selectedReferenceItems.get(ind));
 					selectedReferenceItems.remove(ind);
 					selectedItems.setSelection(ind);					
 				}
@@ -304,11 +299,11 @@
 						String value = selectedItems.getItem(ind);
 						selectedItems.remove(ind);
 						selectedItems.add(value, ind -1);
-						
+
 						Property prop = selectedReferenceItems.get(ind);
 						selectedReferenceItems.remove(ind);
 						selectedReferenceItems.add(ind-1,prop);
-						
+
 						selectedItems.setSelection(ind -1);
 					}
 				}
@@ -322,11 +317,11 @@
 						String value = selectedItems.getItem(ind);
 						selectedItems.remove(ind);
 						selectedItems.add(value, ind + 1);
-						
+
 						Property prop = selectedReferenceItems.get(ind);
 						selectedReferenceItems.remove(ind);
 						selectedReferenceItems.add(ind+1, prop);
-						
+
 						selectedItems.setSelection(ind + 1);
 					}
 				}
Index: tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/StructuralUnit.java
===================================================================
--- tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/StructuralUnit.java	(revision 2793)
+++ tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/StructuralUnit.java	(revision 2794)
@@ -99,7 +99,7 @@
 	}
 
 	/**
-	 * Gets the properties defined on this type of structural unit.
+	 * Gets the actual properties defined on this type of structural unit.
 	 * 
 	 * @return the properties
 	 */
Index: tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/CQPCorpus.java
===================================================================
--- tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/CQPCorpus.java	(revision 2793)
+++ tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/CQPCorpus.java	(revision 2794)
@@ -1184,7 +1184,7 @@
 		List<StructuralUnitProperty> properties = new ArrayList<>();
 		if (this.structuralUnits != null)
 			for (StructuralUnit su : this.structuralUnits)
-			if (su.getProperties() != null)
+			if (su.getOrderedProperties() != null)
 				properties.addAll(su.getProperties());
 		
 		return properties;
@@ -1202,7 +1202,7 @@
 	public List<StructuralUnitProperty> getStructuralUnitProperties(String name) throws CqiClientException {
 		StructuralUnit su = this.getStructuralUnit(name);
 		
-		return su.getProperties();
+		return su.getOrderedProperties();
 	}
 	
 	// /**
Index: tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/ReferencePattern.java
===================================================================
--- tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/ReferencePattern.java	(revision 2793)
+++ tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/ReferencePattern.java	(revision 2794)
@@ -214,7 +214,7 @@
 
 			// add structural units properties
 			for (StructuralUnit unit : corpus.getOrderedStructuralUnits()) {
-				availableReferenceItems.addAll(unit.getProperties());
+				availableReferenceItems.addAll(unit.getOrderedProperties());
 			}
 
 		} catch (Exception e) {
Index: tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/core/functions/selection/Selection.java
===================================================================
--- tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/core/functions/selection/Selection.java	(revision 2793)
+++ tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/core/functions/selection/Selection.java	(revision 2794)
@@ -158,7 +158,7 @@
 			
 			// in case no metadatas are declared in import.xml
 			if (allProperties.size() == 0)
-				for (StructuralUnitProperty sup : text_su.getProperties())
+				for (StructuralUnitProperty sup : text_su.getOrderedProperties())
 				allProperties.add(sup);
 			
 			// get text ids (using starting position of texts) + text size using the positions
@@ -404,7 +404,7 @@
 			}
 			
 			if (displayPropertyNames.size() == 0) {
-				for (Property p : text_su.getProperties())
+				for (Property p : text_su.getOrderedProperties())
 					displayPropertyNames.add(p.getName());
 			}
 			
